/*NB_REVISION*/

/*NB_COPYRIGHT*/

#ifndef _EFFS_TIME_H
#define _EFFS_TIME_H

// Set the system time using a Network Time Server
uint32_t SetTimeNTP();

// Set the system time manually
void SetTimeManual(int month, int day, int weekday, int year, int hour, int min, int sec);

// Set the system time using a Real-Time clock
void SetTimeRTC();

void DisplaySystemTime();

// This function is deprecated. Use tzsetchar for proper timezone management
void SetTimeZone(int hour_offset, int isdst) __attribute__((deprecated));
void WasSetTimeZone(int hour_offset, int isdst);

#endif /* _EFFS_TIME_H */
