/*NB_REVISION*/

/*NB_COPYRIGHT*/

#ifndef _FILESYSUTIL_H
#define _FILESYSUTIL_H

#include <effs_fat/fat.h>

#define MAX_EFFS_ERRORCODE (38)
extern char EffsErrorCode[][80];

#ifdef __cplusplus
extern "C"
{
#endif

    void DisplayEffsErrorCode(int code);
    uint8_t FormatEffsStdFlash();
    uint8_t DisplayEffsSpaceStats();
    uint8_t DumpDir();
    uint32_t WriteFile(uint8_t *pDataToWrite, char *pFileName, uint32_t NumBytes);
    uint32_t AppendFile(uint8_t *pDataToWrite, char *pFileName, uint32_t NumBytes);
    uint32_t ReadFile(uint8_t *pReadBuffer, char *pFileName, uint32_t NumBytes);
    uint8_t DeleteFile(char *pFileName);
    void ReadWriteTest();
    void DisplayTextFile(char *FileName);
    void fgets_test(char *FileName);
    void fprintf_test();
    void fputs_test(char *FileName);

#ifdef __cplusplus
}
#endif

#endif
